Package ru.bitel.bgbilling.kernel.event.events

# Class GetContractCardsListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.GetContractCardsListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class GetContractCardsListEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - получение списка карточек регистрации договора.
Событие вызывается при создании списка карточек договора из конфигурации и поолняет пополяет его.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GetContractCardsListEvent()`
  ``
  `GetContractCardsListEvent(int userId, int cid, List<ContractCard> startList)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCard(String id, String title)`
  Добавляет в список карточек договора новую карточку.
  `List<ContractCard>`
  `getCardList()`
  Возвращает список карточек договора.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetContractCardsListEvent

    protected GetContractCardsListEvent()

  - ### GetContractCardsListEvent

    public GetContractCardsListEvent(int userId, int cid, List<ContractCard> startList)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - id договора
      `startList` - "начальный" список карточек договора, полученный из конфигурации

- ## Method Details

  - ### getCardList

    public List<ContractCard> getCardList()
    Возвращает список карточек договора.
    Returns:
      cardList - список карточек договора

  - ### addCard

    public void addCard(String id, String title)
    Добавляет в список карточек договора новую карточку.
    Parameters:
      `id` - имя файла
      `title` - название карточки